/*=======================================================*/
/*  TVINT15N.C                                           */
/*     low-level functions for TV software interrupts    */
/*     requires MASM or A86 to recompile                 */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#pragma inline

#include "tvapi.h"

/*======================================================*/
/* _TVnotify_handler  low-level function which passes   */
/*                   control to user notification       */
/*                   handler                            */
/*   Ralf Brown 4/4/88                                  */
/*======================================================*/

void far pascal _TVnotify_handler(void)
{
   asm push bp
   asm push ds
   asm push di
/* now that we've saved all the necessary registers, call the real handler */
   asm mov bp,sp
   asm sub sp,4
   asm mov [bp-4],si     /* build return address, and then jump to it */
   asm mov [bp-2],ds
   asm mov ax,DGROUP      /* initialize DS to our own data segment */
   asm mov ds,ax
   asm call dword ptr [bp-4]
   asm mov sp,bp
/* restore the registers and return */
   asm pop di
   asm pop ds
   asm pop bp
}

/* End of TVINT15N.C */
